package com.samsung.embo.api.util;

import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;

public class GhrpSupport {

	public GhrpSupport() {

	}

	public static final String BEARER = "Bearer ";
	public static String DEFAULT_PROTOCOL;
	public static String HOST;
	public static String TOKEN;

	public static String getHost() {
		return GhrpSupport.HOST;
	}

	public static String getToken() {
		return GhrpSupport.TOKEN;
	}

    public static HttpHeaders getHeader(MediaType mediaType){
        HttpHeaders headers = new HttpHeaders();
        headers.add(HttpHeaders.ACCEPT, MediaType.APPLICATION_JSON_VALUE);
        headers.setContentType(mediaType);
        headers.add(HttpHeaders.AUTHORIZATION, GhrpSupport.BEARER + GhrpSupport.getToken());        
        return headers;
    }
}
